LINUX.ORG.RU

pip

 


0

1

При установке пакета на python из локального репазитория pip выводит сообщение.

The directory '/home/linux92/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.

pip

Вот набрал pip3 install -i http://pkgpypi:80/Django-1.4.22.tar.gz А вывел мне вот You must give at least one requirement to install (see «pip help install»)

В бил в консоль вывел мне вот

pip3 install http://pkgpypi:80/Django-1.4.22.tar.gz Collecting http://pkgpypi:80/Django-1.4.22.tar.gz Retrying (Retry(total=4, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.HTTPConnection object at 0x7f9a61eeb160>: Failed to establish a new connection: [Errno -2] Name or service not known',)': /Django-1.4.22.tar.gz Retrying (Retry(total=3, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.HTTPConnection object at 0x7f9a61eeb320>: Failed to establish a new connection: [Errno -2] Name or service not known',)': /Django-1.4.22.tar.gz Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.HTTPConnection object at 0x7f9a61eeb470>: Failed to establish a new connection: [Errno -2] Name or service not known',)': /Django-1.4.22.tar.gz Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.HTTPConnection object at 0x7f9a61eeb5f8>: Failed to establish a new connection: [Errno -2] Name or service not known',)': /Django-1.4.22.tar.gz Retrying (Retry(total=0, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.HTTPConnection object at 0x7f9a61eeb780>: Failed to establish a new connection: [Errno -2] Name or service not known',)': /Django-1.4.22.tar.gz Exception: Traceback (most recent call last): File «/usr/local/lib/python3.4/dist-packages/pip-9.0.1-py3.4.egg/pip/_vendor/requests/packages/urllib3/connection.py», line 142, in _new_conn (self.host, self.port), self.timeout, **extra_kw) File «/usr/local/lib/python3.4/dist-packages/pip-9.0.1-py3.4.egg/pip/_vendor/requests/packages/urllib3/util/connection.py», line 75, in create_connection for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM): File «/usr/lib/python3.4/socket.py», line 533, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File «/usr/local/lib/python3.4/dist-packages/pip-9.0.1-py3.4.egg/pip/_vendor/requests/packages/urllib3/connectionpool.py», line 595, in urlopen chunked=chunked) File «/usr/local/lib/python3.4/dist-packages/pip-9.0.1-py3.4.egg/pip/_vendor/requests/packages/urllib3/connectionpool.py», line 363, in _make_request conn.request(method, url, **httplib_request_kw) File «/usr/lib/python3.4/http/client.py», line 1088, in request self._send_request(method, url, body, headers) File «/usr/lib/python3.4/http/client.py», line 1126, in _send_request self.endheaders(body) File «/usr/lib/python3.4/http/client.py», line 1084, in endheaders self._send_output(message_body) File «/usr/lib/python3.4/http/client.py», line 922, in _send_output self.send(msg) File «/usr/lib/python3.4/http/client.py», line 857, in send self.connect() File «/usr/local/lib/python3.4/dist-packages/pip-9.0.1-py3.4.egg/pip/_vendor/requests/packages/urllib3/connection.py», line 167, in connect conn = self._new_conn() File «/usr/local/lib/python3.4/dist-packages/pip-9.0.1-py3.4.egg/pip/_vendor/requests/packages/urllib3/connection.py», line 151, in _new_conn self, «Failed to establish a new connection: %s» % e) pip._vendor.requests.packages.urllib3.exceptions.NewConnectionError: <pip._vendor.requests.packages.urllib3.connection.HTTPConnection object at 0x7fb25bbaa9e8>: Failed to establish a new connection: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

linux92 ()
Ответ на: pip от linux92

pip

Вот набрал pip3 install Django

А вот вывод Collecting Django Retrying (Retry(total=4, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fea3063c198>: Failed to establish a new connection: [Errno -2] Name or service not known',)': /simple/django/ Retrying (Retry(total=3, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fea3063ce48>: Failed to establish a new connection: [Errno -2] Name or service not known',)': /simple/django/ Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fea3063ce10>: Failed to establish a new connection: [Errno -2] Name or service not known',)': /simple/django/ Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fea3063c518>: Failed to establish a new connection: [Errno -2] Name or service not known',)': /simple/django/ Retrying (Retry(total=0, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fea3063c3c8>: Failed to establish a new connection: [Errno -2] Name or service not known',)': /simple/django/ Could not find a version that satisfies the requirement Django (from versions: ) No matching distribution found for Django

linux92 ()